Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## principal
Class Main

    java.lang.Object
      principal.Main

    public class Main

extends java.lang.Object

Field Summary
`static Juego` | `juego`
`static TetrisForm` | `ventanaPrincipal`

Constructor Summary
`Main()`

Method Summary
`static void` | `cambiarContenedorGraficoJuego(javax.swing.JPanel contenedor)`
`static void` | `cambiarPaletaJuego(Paleta paleta)`
`static void` | `cambiarPiezasBaseJuego(Pieza[] piezasBase)`
`static void` | `cambiarTeclasJuego(int[] teclaArriba, int[] teclaAbajo, int[] teclaDerecha, int[] teclaIzquierda, int[] teclaRotarDerecha, int[] teclaRotarIzquierda)`
`static void` | `finalizarJuego()`
`static void` | `iniciarJuego()`
`static void` | `main(java.lang.String[] args)`
`protected static void` | `mostrarVentana()`
`static void` | `pausarJuego()`
`static void` | `procesarTecla(int codigoTecla)`
`static void` | `reanudarJuego()`
`static void` | `reiniciarJuego()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### juego

    public static Juego juego

### ventanaPrincipal

    public static TetrisForm ventanaPrincipal

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(java.lang.String[] args)

### mostrarVentana

    protected static void mostrarVentana()

### iniciarJuego

    public static void iniciarJuego()

### finalizarJuego

    public static void finalizarJuego()

### reiniciarJuego

    public static void reiniciarJuego()

### pausarJuego

    public static void pausarJuego()

### reanudarJuego

    public static void reanudarJuego()

### cambiarContenedorGraficoJuego

    public static void cambiarContenedorGraficoJuego(javax.swing.JPanel contenedor)

### cambiarPaletaJuego

    public static void cambiarPaletaJuego(Paleta paleta)

### cambiarPiezasBaseJuego

    public static void cambiarPiezasBaseJuego(Pieza[] piezasBase)

### cambiarTeclasJuego

    public static void cambiarTeclasJuego(int[] teclaArriba,
                                          int[] teclaAbajo,
                                          int[] teclaDerecha,
                                          int[] teclaIzquierda,
                                          int[] teclaRotarDerecha,
                                          int[] teclaRotarIzquierda)

### procesarTecla

    public static void procesarTecla(int codigoTecla)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD